: Class TreeNode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class TreeNode

    java.lang.Object
      |
      +--org.w3c.tools.widgets.TreeNode

public class TreeNode
extends java.lang.Object

The representation of a node of a TreeBrowser. A TreeNode is used internally by the TreeBrowser to store informations related to a node. It is also given as parameter in the notifications the TreeBrowser send to handlers.

See Also:
  `TreeBrowser`, `NodeHandler`

Field Summary
`static int` | `NOCHILD`

Method Summary
`int` | `getChildren()` Gets the children
`NodeHandler` | `getHandler()` Gets the handler.
`java.awt.Image` | `getIcon()` Gets the current Icon.
`java.lang.Object` | `getItem()` Gets the item.
`java.lang.String` | `getLabel()` Gets the label.
`boolean` | `isSelected()` Checks if the Node is selected.
`void` | `setChildren(int children)` Sets the children
`void` | `setIcon(java.awt.Image i)` Sets the icon.
`void` | `setLabel(java.lang.String l)` Sets the label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOCHILD

    public static final int NOCHILD

Method Detail

### getItem

    public java.lang.Object getItem()

  Gets the item.

### getLabel

    public java.lang.String getLabel()

  Gets the label.
  See Also:
    `setLabel(java.lang.String)`

### getIcon

    public java.awt.Image getIcon()

  Gets the current Icon.
  See Also:
    `setIcon(java.awt.Image)`

### getHandler

    public NodeHandler getHandler()

  Gets the handler.

### getChildren

    public int getChildren()

  Gets the children

### isSelected

    public boolean isSelected()

  Checks if the Node is selected.

### setIcon

    public void setIcon(java.awt.Image i)

  Sets the icon.
  See Also:
    `getIcon()`

### setLabel

    public void setLabel(java.lang.String l)

  Sets the label.
  See Also:
    `getLabel()`

### setChildren

    public void setChildren(int children)

  Sets the children
  See Also:
    `getChildren()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD